Package org.eclipse.m2m.atl.engine.vm

# Class ACTInterpreter.WithParam

java.lang.Object
org.eclipse.m2m.atl.engine.vm.ACTInterpreter.WithParam

Enclosing class:
  ACTInterpreter

protected class ACTInterpreter.WithParam extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`String`
`name`
`String`
`type`
`String`
`value`

## Constructor Summary

Constructors
Constructor
Description
`WithParam()`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### name

public String name

### type

public String type

### value

public String value

## Constructor Details

### WithParam

public WithParam()